=begin
#Calling Extensions API

#Provides a way for apps to add custom calling options to a contact record. This works in conjunction with the [Calling SDK](#), which is used to build your phone/calling UI. The endpoints here allow your service to appear as an option to HubSpot users when they access the *Call* action on a contact record. Once accessed, your custom phone/calling UI will be displayed in an iframe at the specified URL with the specified dimensions on that record.

The version of the OpenAPI document: v3

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Hubspot::Crm::Extensions::Calling::SettingsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'SettingsApi' do
  before do
    # run before each test
    @api_instance = Hubspot::Crm::Extensions::Calling::SettingsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SettingsApi' do
    it 'should create an instance of SettingsApi' do
      expect(@api_instance).to be_instance_of(Hubspot::Crm::Extensions::Calling::SettingsApi)
    end
  end

  # unit tests for archive
  # Delete calling settings
  # Deletes this calling extension. This will remove your service as an option for all connected accounts.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create
  # Configure a calling extension
  # Used to set the menu label, target iframe URL, and dimensions for your calling extension.
  # @param app_id The ID of the target app.
  # @param settings_request Settings state to create with.
  # @param [Hash] opts the optional parameters
  # @return [SettingsResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_by_id
  # Get calling settings
  # Returns the calling extension settings configured for your app.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [SettingsResponse]
  describe 'get_by_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update
  # Update settings
  # Updates existing calling extension settings.
  # @param app_id The ID of the target app.
  # @param settings_patch_request Updated details for the settings.
  # @param [Hash] opts the optional parameters
  # @return [SettingsResponse]
  describe 'update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
