=begin
#Timeline events

#This feature allows an app to create and configure custom events that can show up in the timelines of certain CRM objects like contacts, companies, tickets, or deals. You'll find multiple use cases for this API in the sections below.

The version of the OpenAPI document: v3

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Hubspot::Crm::Timeline::TemplatesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'TemplatesApi' do
  before do
    # run before each test
    @api_instance = Hubspot::Crm::Timeline::TemplatesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TemplatesApi' do
    it 'should create an instance of TemplatesApi' do
      expect(@api_instance).to be_instance_of(Hubspot::Crm::Timeline::TemplatesApi)
    end
  end

  # unit tests for archive
  # Deletes an event template for the app
  # This will delete the event template. All associated events will be removed from search results and the timeline UI.  This action can&#39;t be undone, so it&#39;s highly recommended that you stop using any associated events before deleting a template.
  # @param event_template_id The event template ID.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'archive test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create
  # Create an event template for your app
  # Event templates define the general structure for a custom timeline event. This includes formatted copy for its heading and details, as well as any custom property definitions. The event could be something like viewing a video, registering for a webinar, or filling out a survey. A single app can define multiple event templates.  Event templates will be created for contacts by default, but they can be created for companies, tickets, and deals as well.  Each event template contains its own set of tokens and &#x60;Markdown&#x60; templates. These tokens can be associated with any CRM object properties via the &#x60;objectPropertyName&#x60; field to fully build out CRM objects.  You must create an event template before you can create events.
  # @param app_id The ID of the target app.
  # @param timeline_event_template_create_request The new event template definition.
  # @param [Hash] opts the optional parameters
  # @return [TimelineEventTemplate]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_all
  # List all event templates for your app
  # Use this to list all event templates owned by your app.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [CollectionResponseTimelineEventTemplate]
  describe 'get_all test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_by_id
  # Gets a specific event template for your app
  # View the current state of a specific template and its tokens.
  # @param event_template_id The event template ID.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [TimelineEventTemplate]
  describe 'get_by_id test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update
  # Update an existing event template
  # Updates an existing template and its tokens. This is primarily used to update the headerTemplate/detailTemplate, and those changes will take effect for existing events.  You can also update or replace all the tokens in the template here instead of doing individual API calls on the &#x60;/tokens&#x60; endpoint.
  # @param event_template_id The event template ID.
  # @param app_id The ID of the target app.
  # @param timeline_event_template_update_request The updated event template definition.
  # @param [Hash] opts the optional parameters
  # @return [TimelineEventTemplate]
  describe 'update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
