=begin
#Webhooks API

#Provides a way for apps to subscribe to certain change events in HubSpot. Once configured, apps will receive event payloads containing details about the changes at a specified target URL. There can only be one target URL for receiving event notifications per app.

The version of the OpenAPI document: v3

Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for Hubspot::Webhooks::SettingsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'SettingsApi' do
  before do
    # run before each test
    @api_instance = Hubspot::Webhooks::SettingsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SettingsApi' do
    it 'should create an instance of SettingsApi' do
      expect(@api_instance).to be_instance_of(Hubspot::Webhooks::SettingsApi)
    end
  end

  # unit tests for clear
  # Clear webhook settings
  # Resets webhook target URL to empty, and max concurrency limit to &#x60;0&#x60; for the given app. This will effectively pause all webhook subscriptions until new settings are provided.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'clear test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for configure
  # Configure webhook settings
  # Used to set the webhook target URL and max concurrency limit for the given app.
  # @param app_id The ID of the target app.
  # @param settings_change_request Settings state to create new with or replace existing settings with.
  # @param [Hash] opts the optional parameters
  # @return [SettingsResponse]
  describe 'configure test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_all
  # Get webhook settings
  # Returns the current state of webhook settings for the given app. These settings include the app&#39;s configured target URL and max concurrency limit.
  # @param app_id The ID of the target app.
  # @param [Hash] opts the optional parameters
  # @return [SettingsResponse]
  describe 'get_all test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
